Subject: bug#57956: 29.0.50; Add minimal authorization support to sasl-scram-rfc

From: Philip Kaludercic <[email-masked]>
Date: Wed, 21 Sep 2022 18:35:53 +0000

"J.P." <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> "J.P." <[email-masked]> writes:
>>
>>> Anyway, ERC would benefit greatly from these (or superior) changes
>>> because we'd like to introduce `erc-compat' analogs in an upcoming
>>> release (probably ERC 5.6). If anyone out there can spare the time,
>>> your feedback would be greatly appreciated.
>>
>> Looks OK to me.
>
> Cool, thanks.
>
>                                 * * *
>
> Question for Philip (Cc'd):
>
> Hi. When 29.1 is released, I might want to propose some of these updated
> sasl-scram-rfc.el items for inclusion in Compat. However, one of them,
>
>   `sasl-scram--client-final-message'
>
> is obviously an internal function. Does that matter? Would you rather we
> export it (as in rename it or alias it) beforehand (IOW, now)?

I'd rather not add "internal functions" to Compat, at least in a way
that it would be exposed as part of the official Compat interface.  That
being said, I am not familiar with the feature being discussed here, so
maybe an exception has to be made?

> Thanks,
> J.P.